=== lib/Makefile ===
###############################################################################
# $Id: $
###############################################################################

SUB_DIRS = cpp
ALL_SUB_DIRS = $(SUB_DIRS)

ifndef TOPDIR
TOPDIR  = $(shell pwd)/..
endif

include $(TOPDIR)/scripts/Config.make
include $(TOPDIR)/scripts/Rules.make
