=== antlr/debug/Makefile ===
SUB_DIRS := misc
ALL_SUB_DIRS := $(SUB_DIRS)

# Leave these 2 above any other rules...
ifndef TOPDIR
	TOPDIR  = $(shell pwd)/../..
endif

include $(TOPDIR)/scripts/Config.make
include $(TOPDIR)/scripts/Rules.make
