=== examples/cpp/Makefile ===
###############################################################################
# $Id: $
###############################################################################

SUB_DIRS = ASTsupport \
	calc \
	columns \
	exprAST \
	filter \
	filterWithRule \
	flexLexer \
	heteroAST \
	HTML \
	IDL \
	imagNodeAST \
	includeFile \
	tinyc \
	inherit.tinyc \
	java \
	lexRewrite \
	multiLexer \
	multiParser \
	parseBinary \
	preserveWhiteSpace \
	transform \
	treewalk \
#	unicode

ALL_SUB_DIRS = $(SUB_DIRS)

ifndef TOPDIR
TOPDIR  = $(shell pwd)/../..
endif

include $(TOPDIR)/scripts/Config.make
include $(TOPDIR)/scripts/Rules.make
