=== lib/cpp/Makefile ===
###############################################################################
# $Id: $
###############################################################################

# Docs
DOXY_TARGET=doxygen.cfg
DOXY_GENDIR=gendoc/html

SUB_DIRS = src antlr
ALL_SUB_DIRS := $(SUB_DIRS)

ifndef TOPDIR
TOPDIR  = $(shell pwd)/../..
endif

include $(TOPDIR)/scripts/Config.make
include $(TOPDIR)/scripts/Rules.make
