=== antlr/debug/misc/Makefile ===

# Leave these 2 above any other rules...
ifndef TOPDIR
	TOPDIR  = $(shell pwd)/../../..
endif

include $(TOPDIR)/scripts/Config.make
include $(TOPDIR)/scripts/Rules.make
