=== debian/changelog ===
antlr (2.7.2-6) unstable; urgency=low

  * changed debhelper compatibility level to 4
  * added versioned dependency on debhelper 

 -- John Leuner <jewel@debian.org>  Sat,  1 Nov 2003 10:44:41 +0200

antlr (2.7.2-5) unstable; urgency=low

  * Changed C++ library dependency from libstdc++ 2.10
    to libstdc++ 5
   (Closes: #214155) 

 -- John Leuner <jewel@debian.org>  Thu, 16 Oct 2003 18:47:35 +0200

antlr (2.7.2-4) unstable; urgency=low

  * Built on sid with gcc 3.3.2
   (Closes: #214155) 

 -- John Leuner <jewel@debian.org>  Sun, 12 Oct 2003 14:44:20 +0200

antlr (2.7.2-3) unstable; urgency=low

  * Applied patch from Kristian G. Kvilekval which fixes
    a behaviour change from 2.7.1 to 2.7.2. 
    (Closes: #206489)

 -- John Leuner <jewel@debian.org>  Thu,  4 Sep 2003 19:19:56 +0200

antlr (2.7.2-2) unstable; urgency=low

  * Created symlinks to antlr.debug.jar and antlrall.jar
    (Closes: #194953)
	
 -- John Leuner <jewel@debian.org>  Mon, 18 Aug 2003 13:50:11 +0100

antlr (2.7.2-1) unstable; urgency=low

  * New upstream version 
  * No longer builds libantlr.la (upstream build system has changed)
  * antlr package is now for all architectures

 -- John Leuner <jewel@debian.org>  Sun, 18 May 2003 19:56:09 +0100

antlr (2.7.1-13) unstable; urgency=low

  * More changes to fix out of date build scripts
   (this time in scripts directory)

 -- John Leuner <jewel@debian.org>  Fri, 18 Oct 2002 15:05:55 +0100

antlr (2.7.1-12) unstable; urgency=low

  * Applied changes from Henrique de Moraes Holschuh to fix
    problems with out-of-date autobuild files

 -- John Leuner <jewel@debian.org>  Mon, 30 Sep 2002 11:13:44 +0100

antlr (2.7.1-11) unstable; urgency=low

  * Changed dependency from Kaffe to classpath (Closes #147235) 

 -- John Leuner <jewel@debian.org>  Fri, 24 May 2002 14:01:16 +0100

antlr (2.7.1-10) unstable; urgency=low

  * Renamed /usr/bin/antlr to /usr/bin/runantlr because it conflicts with pccts. Closes #127898 

 -- John Leuner <jewel@debian.org>  Mon,  7 Jan 2002 13:54:11 +0000

antlr (2.7.1-9) unstable; urgency=low

  * Created shell script in /usr/bin that will run antlr.Tool 

 -- John Leuner <jewel@debian.org>  Fri,  4 Jan 2002 14:10:52 +0000

antlr (2.7.1-8) unstable; urgency=low

  * Changed install to not set execute permissions on jar files 

 -- John Leuner <jewel@debian.org>  Thu,  3 Jan 2002 18:07:00 +0000

antlr (2.7.1-7) unstable; urgency=low

  * Applied man page formatting patch by Richard Tibbet 

 -- John Leuner <jewel@debian.org>  Thu,  3 Jan 2002 17:54:29 +0000

antlr (2.7.1-6) unstable; urgency=low

  * Changed Makefile to make the build shell scripts executable (seems to fail with build daemons) ( closes #105733 )

 -- John Leuner <jewel@debian.org>  Wed, 18 Jul 2001 18:07:35 +0000

antlr (2.7.1-5) unstable; urgency=low

  * Changed debian/rules to remove /lib/cpp/src/.deps after make clean. Should fix bugs on hppa,ia64,ppc,m68k

 -- John Leuner <jewel@debian.org>  Sat, 14 Jul 2001 14:16:27 +0000

antlr (2.7.1-4) unstable; urgency=low

  * Version 4 of this package, now compiles the java files (previously I used precompiled classes). Because of this antlr.jar, antlr.debug.jar and antlrall.jar are all copies of the same file (I couldn't determine exactly which files belong where).

  * Removed *ex* files from debian directory

 -- John Leuner <jewel@debian.org>  Sat, 14 Apr 2001 12:05:09 +0000

antlr (2.7.1-3) unstable; urgency=low

  * Changed the Depends: antlr to Recommends for the libantlr-dev package

 -- John Leuner <jewel@debian.org>  Sat,  7 Apr 2001 12:40:50 +0000

antlr (2.7.1-2) unstable; urgency=low

  * Added the c++ library support. Changes to package made by W. Borgert (debacle@debian.org

 -- John Leuner <jewel@debian.org>  Tue, 13 Feb 2001 21:43:23 +0000

antlr (2.7.1-1) unstable; urgency=low

  * Initial Release.

 -- John Leuner <jewel@debian.org>  Tue, 26 Dec 2000 15:07:44 +0000

Local variables:
mode: debian-changelog
End:
