=== debian/control ===
Source: antlr
Section: devel
Priority: optional
Maintainer: John Leuner <jewel@debian.org>
Build-Depends: debhelper (>= 4), fastjar, classpath, jikes-classpath (>= 1.18), bash, autotools-dev
Standards-Version: 3.0.1 

Package: antlr
Architecture: all
Depends: java-virtual-machine
Description: A language tool for constructing recognizers, compilers etc
 ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is 
 a language tool that provides a framework for constructing recognizers,
 compilers, and translators from grammatical descriptions containing C++
 or Java actions [You can use PCCTS 1.xx to generate C-based parsers].
 . 
 Computer language translation has become a common task. While 
 compilers and tools for traditional computer languages (such as C
 or Java) are still being built, their number is dwarfed by the thousands
 of mini-languages for which recognizers and translators are being 
 developed. Programmers construct translators for database formats, 
 graphical data files (e.g., PostScript, AutoCAD), text processing 
 files (e.g., HTML, SGML).  ANTLR is designed to handle all of your 
 translation tasks.

Package: libantlr-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libstdc++5-3.3-dev
Recommends: antlr
Description: A language tool for constructing recognizers, compilers etc
 ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is
 a language tool that provides a framework for constructing recognizers,
 compilers, and translators from grammatical descriptions containing C++
 or Java actions [You can use PCCTS 1.xx to generate C-based parsers].
 .
 These are the static libraries for C++.
