=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4

configure: configure-stamp
configure-stamp: autotools
	dh_testdir
	JAVAC=jikes-classpath ./configure --prefix=/usr --mandir=\$${prefix}/share/man
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE) -f Makefile.debian build_antlr
	cd lib/cpp; $(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) -f Makefile.debian clean
	-cd lib/cpp; $(MAKE) clean
	rm -rf lib/cpp/src/.deps
	-rm -f lib/cpp/config.sub lib/cpp/config.guess lib/cpp/config.cache lib/cpp/config.log
	-rm -f lib/cpp/scripts/config.sub lib/cpp/scripts/config.guess lib/cpp/scripts/config.cache lib/cpp/scripts/config.log
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) -f Makefile.debian install DESTDIR=`pwd`/debian/antlr
	cd lib/cpp; $(MAKE) install prefix=`pwd`/../../debian/libantlr-dev/usr

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir -pantlr
	dh_testroot -pantlr
#	dh_installdebconf	
	dh_installdocs -pantlr
	dh_installexamples -pantlr
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installmanpages -pantlr
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs -pantlr
	dh_link -pantlr usr/share/java/antlr.jar usr/share/java/antlr.debug.jar usr/share/java/antlr.jar usr/share/java/antlrall.jar
#	dh_strip
	dh_compress -pantlr
	dh_fixperms -pantlr
#	dh_suidregister
	dh_makeshlibs -pantlr
	dh_installdeb -pantlr
#	dh_perl
	dh_shlibdeps -pantlr
	dh_gencontrol -pantlr
	dh_md5sums -pantlr
	dh_builddeb -pantlr

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir -plibantlr-dev
	dh_testroot -plibantlr-dev
#	dh_installdebconf	
	dh_installdocs -plibantlr-dev
	dh_installexamples -plibantlr-dev
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs -plibantlr-dev
#	dh_link
#	dh_strip
	dh_compress -plibantlr-dev
	dh_fixperms -plibantlr-dev
#	dh_suidregister
	dh_makeshlibs -plibantlr-dev
	dh_installdeb -plibantlr-dev
#	dh_perl
	dh_shlibdeps -plibantlr-dev
	dh_gencontrol -plibantlr-dev
	dh_md5sums -plibantlr-dev
	dh_builddeb -plibantlr-dev

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install autotools
