=== examples/cpp/Makefile ===
--- 
+++ 
@@ -4,7 +4,6 @@
 
 SUB_DIRS = ASTsupport \
 	calc \
-	columns \
 	exprAST \
 	filter \
 	filterWithRule \
